#include "Garden.h"

class World
{
public:
	World( int w, int h );
	~World(void);

	void Render();
	void Step();

private:
	void CheckFitness();
	void RotateRules();

	void SetValue();

	Rule* active_rule;
	Rule* best_rule;
	Garden* garden;

	int tendcount;
	int waitcount;

	int stagnation;

	int width;
	int height;
};
